Name:          libgamin
Version:       0.1.10
Release:       6mamba
Summary:       Library providing the FAM File Alteration Monitor API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://www.gnome.org/~veillard/gamin
Source:        http://www.gnome.org/~veillard/gamin/sources/gamin-%{version}.tar.gz
Patch0:        libgamin-0.1.10-glib-2.30.patch
Patch1:        libgamin-0.1.10-fix-deadlocks.patch
Patch2:        libgamin-0.1.10-poll-files-on-nfs4.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpython-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: python 
Obsoletes:     fam
Obsoletes:     libfam
Provides:      fam
Provides:      libfam
Requires:      %{name} >= %{version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This C library provides an API and ABI compatible file alteration monitor mechanism compatible with FAM but not dependent on a system wide daemon.

%package -n    python-gamin
Summary:       Python bindings for the gamin library
Group:         Development/Libraries

%description -n python-gamin
This package contains a module that allow monitoring of files and directories 

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-1-devel = %{version}
Provides:      %{name}-devel = %{version}
Obsoletes:     libfam-devel
Provides:      libfam-devel
Provides:      fam-devel

%description devel
This C library provides an API and ABI compatible file alteration monitor mechanism compatible with FAM but not dependent on a system wide daemon.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n gamin-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make pythondir=%{python_sitearch}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall pythondir=%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgamin-1.so.*
%{_libdir}/libfam.so.*
%{_libexecdir}/gam_server
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libgamin_shared.a
%{_libdir}/libgamin-1.a
%{_libdir}/libgamin-1.la
%{_libdir}/libgamin-1.so
%{_libdir}/libfam.a
%{_libdir}/libfam.la
%{_libdir}/libfam.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README TODO

%files -n python-gamin
%defattr(-,root,root)
%{python_sitearch}/_gamin.a
%{python_sitearch}/_gamin.la
%{python_sitearch}/_gamin.so
%{python_sitearch}/gamin.py
%{python_sitearch}/gamin.pyc
%{python_sitearch}/gamin.pyo

%changelog
* Tue Dec 15 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-6mamba
- rebuilt with nfs4 patch, aarch64 build fix and debug package

* Tue Jun 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-5mamba
- python 2.7 mass rebuild

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-4mamba
- added a patch to fix deadlocks; seen with okular (http://lists.debian.org/debian-qt-kde/2012/07/msg00173.html)

* Wed Sep 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-3mamba
- rebuilt with glib 2.30 patch

* Thu Feb 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-2mamba
- move some python modules from libgamin to python-gamin

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.10-1mamba
- update to 0.1.10

* Fri Oct 10 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.1.9-1mamba
- package created by autospec
